### Method

# FwupdPlugin Progress sleep_idle

since: 2.1.2

#### Declaration [src]

    void
    fu_progress_sleep_idle (
      FuProgress* self,
      guint delay_ms
    )

#### Description [src]

Sleeps, setting the device progress from 0..100% as time continues. If the parent progress percentage is changed or finalized then the idle action will be cancelled.

Available since: 2.1.2

#### Parameters

`delay_ms`

  Type: `guint`

  Delay in milliseconds.